
QGIS Application - Bug report #11708

Crash from Delimited Text Layer import

2014-11-21 04:50 AM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Delimited Text 

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19948

Description

qgis crashes when I try to import the attached file using the options shown in the attached screenshot.

I also attached a gdb log.

It works if I remove one line (haven't tried each but gave up bisecting further than these lines).

QGIS version    2.6.0-Brighton    

QGIS code revision    a6650e4

Compiled against Qt    4.8.6    

Running against Qt    4.8.6

Compiled against GDAL/OGR    1.11.1    

Running against GDAL/OGR    1.11.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    

Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.3.5    

SpatiaLite Version    4.2.0

QWT Version    6.1.1    

PROJ.4 Version    480

QScintilla2 Version    2.8.4

Associated revisions

Revision 98ca2dcc - 2015-01-10 06:02 PM - Jürgen Fischer

delimited text provider: only add finite points to spatial index (fixes #11708)

History

#1 - 2014-11-21 05:43 AM - Giovanni Manghi

- Status changed from Open to Feedback

cannot confirm on qgis master, please give it a try and report back. Cheers!

#2 - 2014-11-21 08:49 AM - Johannes Kroeger

Compiled from master, still crashes:

QGIS version    2.7.0-Master    
QGIS code revision    9f8a742

Compiled against Qt    4.8.6    

Running against Qt    4.8.6

Compiled against GDAL/OGR    1.11.1    

Running against GDAL/OGR    1.11.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    

Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.3.5    

SpatiaLite Version    4.2.0

QWT Version    6.1.1    

PROJ.4 Version    480

QScintilla2 Version    2.8.4

0x00007fffe7c60230 in SpatialIndex::RTree::Node::RstarSplitEntry::compareHigh(void const*, void const*) () from /usr/lib/libspatialindex.so.4

#3 - 2015-01-10 07:44 AM - Jürgen Fischer

- Status changed from Feedback to Open

- Category set to Data Provider/Delimited Text 

reproduced with commit:5f3debdc

#4 - 2015-01-10 10:12 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

fixed in commit:98ca2dcc8

Files

qgiscsvimportcrash.tsv 195 Bytes 2014-11-21 Johannes Kroeger

qgiscrash.png 46.4 KB 2014-11-21 Johannes Kroeger

gdb.log 2 KB 2014-11-21 Johannes Kroeger
